Bug 47887 - rpm -e XFree86-xfs gives error:execution of %preun scriptlet from XFree86-xfs-4.0.3-5 failed, exit status 1
rpm -e XFree86-xfs gives error:execution of %preun scriptlet from XFree86-xfs...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-08 18:34 EDT by tom
Modified: 2007-04-18 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-09 00:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tom 2001-07-08 18:34:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When trying to remove the package XFree86-xfs, the removal fails with a 
problem in the %preun scriptlet

How reproducible:
Always

Steps to Reproduce:
1. Ensure system has XFree86-xfs-4.0.3-5 installed
2. Type rpm -e XFree86-xfs
3. Error message "error: execution of %preun scriptlet from XFree86-xfs-
4.0.3-5 failed, exit status 1
	

Actual Results:  XFree86-xfs is still on my machine

Expected Results:  Expected no errors and xfs to be shown as not present

Additional info:
Comment 1 Michael Schwendt 2001-07-09 00:29:50 EDT
It is the case when xfs is not running. A workaround is to do "service xfs
start" and then "rpm -e XFree86-xfs".

$ rpm -q --qf "%{PREUN}\n" XFree86-xfs
if [ "$1" = "0" ]; then
        /sbin/chkconfig --del xfs
        /usr/sbin/userdel xfs 2>/dev/null || :
        /usr/sbin/groupdel xfs 2>/dev/null || :
        service xfs stop >/dev/null 2>&1
fi

Should probably read something like this:

if [ "$1" = "0" ]; then
        /sbin/chkconfig --del xfs
        service xfs stop >/dev/null 2>&1
        /usr/sbin/userdel xfs 2>/dev/null || :
        /usr/sbin/groupdel xfs 2>/dev/null || true
fi
Comment 2 Michael Schwendt 2001-07-09 00:46:34 EDT
Oops, or s/true/:/ if you prefer builtins. ;)
Comment 3 Mike A. Harris 2001-07-12 11:48:21 EDT
Thanks.  I just looked at my latest source tree and the bug has been fixed 
already at some point.  I'll check the 4.0.3 tree too and see if it is 
fixed there as well.

Note You need to log in before you can comment on or make changes to this bug.